Page MenuHomePhabricator

"Title::newFromTitle: $text must be a string" from UploadBase
Closed, ResolvedPublic

Description

Warning: Title::newFromTitle: $text must be a string
from
UploadFromChunks::stashFile/UploadFromChunks::verifyChunk/UploadBase::verifyPartialFile/UploadBase::getTitle/Title::newFromText

About 5000 hits a day in logstash channel for T76305.

Event Timeline

Krinkle created this task.Aug 23 2015, 1:01 PM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added subscribers: Krinkle, Krenair, Aklapper, Reedy.
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 23 2015, 1:01 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript

Change 233209 had a related patch set uploaded (by Alex Monk):
Avoid passing anything but a string to Title::newFromText in UploadBase::getTitle

https://gerrit.wikimedia.org/r/233209

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 23 2015, 3:22 PM
demon triaged this task as Normal priority.Aug 24 2015, 3:19 AM

Change 233209 merged by jenkins-bot:
Avoid passing anything but a string to Title::newFromText in UploadBase::getTitle

https://gerrit.wikimedia.org/r/233209

Krenair closed this task as Resolved.Sep 3 2015, 2:49 PM
Krenair claimed this task.